local mod = RW:Boss("Vaelastrasz the Corrupt", "Blackwing Lair")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_nefarion]]

---------------------------
-- Variables
local tBurnDur, wBurn, mBurn, iBurn, tTankBunCD

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.TankBurn = "Next tank burn"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(13020)
	self:SetWin(13020)
	
	tTankBunCD		= self:CDTimer(45, L.TankBurn, 18173)
	tBurnDur		= self:DurTargetTimer(20, 18173)
	wBurn			= self:RunawayWarning(18173)
	mBurn			= self:TargetMessage(18173)
	iBurn			= self:Icon("SKULL", 18173, false, 20, "CIRCLE", "STAR", "MOON")
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	self:Track("Burn", 18173, 23620)
end

function mod:Burn(event, args)
	if event == "SPELL_AURA_APPLIED" then
		if args:IsPlayer() then
			wBurn:Show()
		end
		local uID = self:UIDFromName(args.dName)
		if uID and UnitPowerType(uID) ~= 0 then
			tTankBunCD:Start()
		end
		
		tBurnDur:Start(args.dName)
		mBurn:Show(args.dName)
		iBurn:Show(args.dName)
	
	elseif event == "SPELL_AURA_REMOVED" then
		iBurn:Hide()
		tBurnDur:Stop(args.dName)
	end
end